%define	ver	0.83.0

Name:		ffmpeg-plugin-browser-nwjs
Version:	120
Release:	alt1
Summary:	FFmpeg built specifically for codec support in special browser
License:	GPLv2
Group:		Video
BuildRequires:	unzip
Url:		https://github.com/nwjs-ffmpeg-prebuilt
Source:		https://github.com/nwjs-ffmpeg-prebuilt/nwjs-ffmpeg-prebuilt/releases/download/%ver/%ver-linux-x64.zip
Provides:	ffmpeg-plugin-browser
Conflicts:	ffmpeg-plugin-browser
#AutoReq: no
#%define __spec_install_post %{nil}

%description
FFmpeg built specifically for codec support in special browser.

%prep
%build
%install
%__mkdir_p %buildroot/usr/lib64/ffmpeg-plugin-browser
%__unzip %SOURCE0 -d %buildroot/usr/lib64/ffmpeg-plugin-browser
%__strip %buildroot/usr/lib64/ffmpeg-plugin-browser/libffmpeg.so

%files
/usr/*

%post
if [ -d /opt/yandex/browser/ ]; then
    ( [ -h /opt/yandex/browser/libffmpeg.so ] || [ -f /opt/yandex/browser/libffmpeg.so ] ) ||
	ln -s /usr/lib64/ffmpeg-plugin-browser/libffmpeg.so /opt/yandex/browser/libffmpeg.so
fi

%postun
find /opt/yandex/browser/libffmpeg.so -xtype l && rm /opt/yandex/browser/libffmpeg.so

%changelog
* Mon Mar 04 2024 sfs <sfslinux@.gmail.com> 0.20-alt1
- Initial version
